## com.google.appengine.api.urlfetch.dev
Class AllMethodsRedirectHandler

    java.lang.Object
      DefaultRedirectHandler
          com.google.appengine.api.urlfetch.dev.AllMethodsRedirectHandler

    public class AllMethodsRedirectHandler

extends DefaultRedirectHandler

A `DefaultRedirectHandler` that accepts redirects for 301-304 status codes from all methods. Code elsewhere (presumably implemented for SEE_OTHER handling), correctly takes care of making the redirects use the GET method.

Constructor Summary
`AllMethodsRedirectHandler()`

Method Summary
`boolean` `isRedirectRequested(HttpResponse response, HttpContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AllMethodsRedirectHandler

    public AllMethodsRedirectHandler()

Method Detail

### isRedirectRequested

    public boolean isRedirectRequested(HttpResponse response,
                                       HttpContext context)